Subject: Re: linux-next: build failure after merge of the powerpc tree

From: Vasant Hegde <[email-masked]>
Date: Sat, 22 Aug 2015 09:39:58 +0530

On 08/22/2015 05:10 AM, Michael Ellerman wrote:
> On Fri, 2015-08-21 at 14:29 +0530, Vasant Hegde wrote:
>> On 08/21/2015 01:55 PM, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> After merging the nvdimm tree, today's linux-next build (powerpc
>>> allyesconfig) failed like this:
>>
>> Stephen,
>>
>> Thanks for reporting! I checked powerpc tree.. This is because of commit
>> 8a8d9181 in powerpc tree.. Basically Michael missed one hunk (below hunk in
>> opal-api.h)
> 
> Hmm, looks like it.
> 
> I do remember the patch didn't apply to my tree, so I guess I accidentally
> dropped a hunk when I was forcing it to apply.

Hmmm yeah..My patchset was based on pstream tree (4.2-rc7) instead of powerpc
next tree.

> 
> I also should have looked closer, as the following aren't in the skiboot
> version of opal-api.h. The skiboot and Linux versions of opal-api.h should be
> in sync as much as possible.
> 

As I mentioned in other thread I should have added all these macros to
opal-api.h in skiboot..

>> +/* LED Mode */
>> +#define POWERNV_LED_MODE_LIGHT_PATH    "lightpath"
>> +#define POWERNV_LED_MODE_GUIDING_LIGHT "guidinglight"
>> +
>> +/* LED type */
>> +#define POWERNV_LED_TYPE_IDENTIFY      "identify"
>> +#define POWERNV_LED_TYPE_FAULT         "fault"
>> +#define POWERNV_LED_TYPE_ATTENTION     "attention"
> 
> Furthermore, I don't see the first two used at all, and the bottom three are
> only used in one place in the driver. So I've just sucked the values into the
> driver code and dropped the #defines. Patch coming shortly.
> 
> Also we're obviously not building this in any of our defconfigs. Can you please
> send a patch to enable it for pseries_defconfig and ppc64_defconfig.

Sure.. Will send separate patch.

-Vasant